summaryrefslogtreecommitdiff
path: root/scripts/dev/conv_proto
diff options
context:
space:
mode:
authorLorry Tar Creator <lorry-tar-importer@baserock.org>2013-03-14 05:42:27 +0000
committer <>2013-04-03 16:25:08 +0000
commitc4dd7a1a684490673e25aaf4fabec5df138854c4 (patch)
tree4d57c44caae4480efff02b90b9be86f44bf25409 /scripts/dev/conv_proto
downloadphp2-master.tar.gz
Imported from /home/lorry/working-area/delta_php2/php-5.4.13.tar.bz2.HEADphp-5.4.13master
Diffstat (limited to 'scripts/dev/conv_proto')
-rwxr-xr-xscripts/dev/conv_proto30
1 files changed, 30 insertions, 0 deletions
diff --git a/scripts/dev/conv_proto b/scripts/dev/conv_proto
new file mode 100755
index 0000000..fad9cfa
--- /dev/null
+++ b/scripts/dev/conv_proto
@@ -0,0 +1,30 @@
+#! /bin/sh
+#
+# do some automatic conversion of prototypes
+#
+
+if test "$1" = "" ; then
+ echo "usage: $0 list-of-files"
+ exit 1
+fi
+
+tmpfile=`mktemp -q /tmp/asd.XXXXXX`
+
+if test "$?" != "0" ; then
+ echo "$0: cannot create temporary file"
+ exit 1
+fi
+
+for file in ${1+"$@"} ; do
+ echo "working on $file"
+ cat $file | \
+ sed -e \
+ 's/void php3_\(.*\)(INTERNAL_FUNCTION_PARAMETERS)/PHP_FUNCTION(\1)/' \
+ -e 's/^extern void /void /' \
+ -e 's/^extern PHP_FUNCTION/PHP_FUNCTION/' > $tmpfile
+ cp $tmpfile $file
+done
+
+rm -f $tmpfile
+
+exit 0